actions: []
api_documentation: http://docs.ros.org/en/noetic/api/fanuc_m6ib_moveit_plugins/html
authors: G.A. vd. Hoorn (TU Delft Robotics Institute)
brief: ''
bugtracker: https://github.com/ros-industrial/fanuc/issues
depends:
- catkin
- moveit_core
- pluginlib
- roscpp
- tf_conversions
depends_on:
- fanuc
- fanuc_m6ib_moveit_config
deprecated: "All IKFast MoveIt plugins are deprecated and will be removed from future\n\
  \      releases. Where possible, they will be replaced with OPW Kinematics-based\n\
  \      plugins."
description: "<p>\n      MoveIt plugins for the Fanuc M-6iB (and variants).\n    </p>\n\
  \    <p>\n      This package contains plugins for use with MoveIt and Fanuc M-6iB\n\
  \      manipulators. Plugins included support the base model only. See the\n   \
  \   Fanuc M-6iB support package for information on used joint angle and\n      velocity\
  \ limits.\n    </p>\n    <p>\n      Before using any of the plugins included in\
  \ this package, be sure to\n      check they are correct for the particular robot\
  \ model and configuration\n      you intend to use them with.\n    </p>"
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__fanuc__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__fanuc__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
metapackages:
- fanuc
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__fanuc_m6ib_moveit_plugins__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__fanuc_m6ib_moveit_plugins__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__fanuc_m6ib_moveit_plugins__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__fanuc_m6ib_moveit_plugins__ubuntu_focal_arm64__binary
repo_name: fanuc
repo_url: https://github.com/ros-industrial/fanuc
srvs: []
timestamp: 1740052888.4555
url: http://wiki.ros.org/fanuc_m6ib_moveit_plugins
vcs: git
vcs_uri: https://github.com/ros-industrial/fanuc.git
vcs_version: noetic
